File: .travis.yml

package info (click to toggle)
fonttools 3.0-1
  • links: PTS
  • area: main
  • in suites: stretch
  • size: 1,784 kB
  • ctags: 3,121
  • sloc: python: 26,261; xml: 103; sh: 41; makefile: 20
file content (25 lines) | stat: -rw-r--r-- 787 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
language: python
python:
  - "2.7"
  - "3.3"
  - "3.4"
  - "pypy"
#  - "pypy3" # Disable pypy3 until Travis updates it to >= 3.3
before_install:
# install GCC v4.8 with better C++11 support, required to build Brotli extension
# See: https://github.com/travis-ci/travis-ci/issues/1379  
  - sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
  - sudo apt-get -qq update
  - sudo apt-get install -qq gcc-4.8
  - sudo apt-get install -qq g++-4.8
  - sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 90
  - sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 90
  - g++ --version
install:
  - pip install -vr requirements.txt
  - make install
script:
  - make check
notifications:
  irc: "irc.freenode.org##fonts"
  email: fonttools@googlegroups.com